Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.xml.utils
Class XMLSerializerHelper

    java.lang.Object
      com.ejie.r01f.xml.utils.XMLSerializerHelper

public class XMLSerializerHelper
extends java.lang.Object

Formatea una cadena XML

Constructor Summary
`XMLSerializerHelper()` Constructor vacio

Method Summary
`static java.lang.String` | `getInnerXML(org.w3c.dom.Node node, java.lang.String outEncoding)` Serializa el contenido del nodo que se pasa como parametro
`static java.lang.String` | `getOuterXML(org.w3c.dom.Node node, java.lang.String outEncoding)` Serializa el nodo que se pasa como parametro
`static java.lang.String` | `getXML(org.w3c.dom.Node node, java.lang.String outEncoding)` Serializa un XML a una cadena de texto
`static void` | `main(java.lang.String[] args)` Test para probar el temilla...

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLSerializerHelper

    public XMLSerializerHelper()

  Constructor vacio

Method Detail

### getOuterXML

    public static java.lang.String getOuterXML(org.w3c.dom.Node node,
                                               java.lang.String outEncoding)
                                        throws javax.xml.transform.TransformerException

  Serializa el nodo que se pasa como parametro

  Parameters:
    `node` - El nodo a serializar
    `outEncoding` - encoding de la cadena con el xml generado (null para utilizar la codificación por defecto)
  Returns:
    Una cadena con el nodo serializado
  Throws:
    `javax.xml.transform.TransformerException`

### getInnerXML

    public static java.lang.String getInnerXML(org.w3c.dom.Node node,
                                               java.lang.String outEncoding)
                                        throws javax.xml.transform.TransformerException

  Serializa el contenido del nodo que se pasa como parametro

  Parameters:
    `node` - El nodo a serializar
    `outEncoding` - encoding de la cadena con el xml generado (null para utilizar la codificación por defecto)
  Returns:
    Una cadena con el contenido del nodo serializado
  Throws:
    `javax.xml.transform.TransformerException`

### getXML

    public static java.lang.String getXML(org.w3c.dom.Node node,
                                          java.lang.String outEncoding)
                                   throws javax.xml.transform.TransformerException

  Serializa un XML a una cadena de texto

  Parameters:
    `node` - nodo DOM a serializar
    `outEncoding` - codificacion de la cadena con el XML generado (null para utilizar la codificación por defecto)
  Returns:
    una cadena formateada con el dcr
  Throws:
    `javax.xml.transform.TransformerException` - si se produce un error en el proceso

### main

    public static void main(java.lang.String[] args)

  Test para probar el temilla...

  Parameters:
    `args` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD